Frontend
View entity details
GET
/
frontend
/
entity
/
{client_id}
/
{program_id}
/
{entity_id}
/
{session_id}
View entity details
curl --request GET \
--url https://api.helpyousponsor.com/v1/frontend/entity/{client_id}/{program_id}/{entity_id}/{session_id}import requests
url = "https://api.helpyousponsor.com/v1/frontend/entity/{client_id}/{program_id}/{entity_id}/{session_id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.helpyousponsor.com/v1/frontend/entity/{client_id}/{program_id}/{entity_id}/{session_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"title": "<string>",
"vars": {},
"session_id": "<string>",
"entity_id": 123,
"entity": {},
"client_id": 123,
"client": {},
"profile": {},
"public_fields": {},
"program_id": 123,
"text_profile": "<string>",
"info": "<string>",
"donor": {},
"profilePic": "<string>",
"profilePicThumb": "<string>",
"image_links": [
{}
],
"file_links": [
{}
],
"start_date": "<string>",
"entity_percent": 123,
"entity_info": "<string>",
"disable_program_link": "<string>",
"payment_options": [
{}
],
"hide_payment_method": true,
"default_payment_method": "<string>",
"display_info": true,
"display_percent": true,
"hide_frequency": true,
"next": 123,
"prev": 123,
"total": 123,
"currency_symbol": "<string>",
"already_saved": true
}{
"message": "<string>",
"status": "<string>"
}Path Parameters
ID of the client
ID of the program
ID of the entity
ID of the session
Response
Entity details
⌘I
View entity details

